Subject: Re: [MEXT] New Text for home link detection in RFC3775bis

From: <[email-masked]>
Date: Wed, 13 Aug 2008 15:14:43 +0200

I wonder why the new text's second bullet insists on "statically
configured"
home prefix.  When the algorithm (the three bullets) has been completed,

the mobile node know its home prefix.  Next time the mobile node
detects it is on a new link, the home prefix should remain the same as
before.
Thus I my view "statically configured" should be something like
"statically configured or learned on one of its previous links".

Christian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Suresh Krishnan
> Sent: 11. juli 2008 20:21
> To: Charles E. Perkins
> Cc: [email-masked]
> Subject: Re: [MEXT] New Text for home link detection in RFC3775bis
> 
> Hi Charlie,
>    Your suggested text sounds good. If you are looking for a 
> new name for these sections may I suggest "Attachment to a 
> new link" :-)
> 
> Cheers
> Suresh
> 
> Charles E. Perkins wrote:
> > 
> > Hello Suresh,
> > 
> > I'm creating a new issue for "home link detection" to go into the 
> > issue tracker.  Your suggested text seems to have found 
> consensus for 
> > resolving the issue, as long as it is located in a new section (as 
> > suggested in later messages).  However, I would like to suggest a 
> > textual revision and simplification.  Most of the revision 
> relies on 
> > pointing out that one has to get a home network prefix 
> before using it 
> > to compare against the list of prefixes received in the RA. 
>  The other 
> > revision, which I hope is O.K., is to dispense with 
> creating the new 
> > acronyms CMA and CLPL.  I am biased against having acronyms 
> that are 
> > not used elsewhere in the document.
> > 
> > Here is my result:
> > 
> > NEW TEXT
> > ========
> > 
> > Section 11.5.X   Home Link Detection
> > 
> >   When an MN detects that it has arrived on a new link using the
> >   movement detection algorithm in use (Section 11.5.1x) it 
> performs the
> >   following steps to determine if it is on the home link.
> > 
> >   o  The MN performs the procedure described in Section 11.5.2x and
> >      configures an address.    It also keeps track of all 
> the on-link 
> > prefix(es)
> >      received in the RA along with their prefix lengths.
> > 
> >   o  If the home prefix has not been statically configured 
> the MN uses
> >      some form of bootstrapping procedure (e.g. RFC5026) to 
> determine
> >      the home prefix.
> > 
> >   o  Given the availability of the home prefix, the MN 
> checks whether or
> >       not the home prefix matches one of the prefixes 
> received in the RA.
> >       If it does, the MN concludes that it has returned home.
> > 
_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext

---

From: Julien Laganier <[email-masked]>
Date: Wed, 13 Aug 2008 15:33:17 +0200

Hello Christian,

I think you have a point. How about the text below?

   o If the MN has no knowledge of its home prefix via static
     configuration, or a previous execution of a bootstrapping
     mechanism (e.g., RFC5026), the MN executes a bootstrapping
     mechanism (e.g., RFC5026) to determine its home prefix.

--julien

> On Wednesday 13 August 2008, [email-masked]
> wrote:  
> detects it is on a new link, the home prefix should remain the same
> as before.
> > > resolving the issue, as long as it is located in a new section
> > > (as suggested in later messages).  However, I would like to
> > > suggest a textual revision and simplification.  Most of the
> > > revision
> >
> > relies on
> >
> > >   o  The MN performs the procedure described in Section 11.5.2x
> > > and configures an address.    It also keeps track of all
> >
> > the on-link
> >
> > > prefix(es)

-- 
--julien

[ New email address: [email-masked] ]
_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext

---

From: <[email-masked]>
Date: Wed, 13 Aug 2008 15:37:39 +0200

Fine text.  Christian

> From: Julien Laganier [mailto:[email-masked]] 
> Sent: 13. august 2008 15:33
> To: [email-masked]
> Cc: Kaas-Petersen Christian; [email-masked]; 
> [email-masked]
> > > From: [email-masked] 
> [mailto:[email-masked]] On Behalf 
> > > Of Suresh Krishnan
> > >    Your suggested text sounds good. If you are looking for a new 
> > > name for these sections may I suggest "Attachment to a 
> new link" :-)
> > >
> > > Cheers
> > > Suresh
> > >